| Home | Libraries | People | FAQ | More

## Function template operator<<

boost::date_time::operator<<

## Synopsis

    // In header: <boost/date_time/int_adapter.hpp>

    template<typename charT, typename traits, typename int_type>
      std::basic_ostream< charT, traits > &
      operator<<(std::basic_ostream< charT, traits > & os,
                 const int_adapter< int_type > & ia);

## Description

Expected output is either a numeric representation or a special values representation.
Ex. "12", "+infinity", "not-a-number", etc.